combatTextFu = AceLibrary("AceAddon-2.0"):new("AceDB-2.0", "AceHook-2.1", "FuBarPlugin-2.0")
combatTextFu.hasIcon = "Interface\\TargetingFrame\\UI-TargetingFrame-Skull"
combatTextFu.cannotDetachTooltip = true
combatTextFu.hasNoColor = true
local L = AceLibrary("AceLocale-2.2"):new("combatTextFu")
L:RegisterTranslations("enUS", function() return({
	alpha = true,
		alpha_desc = "set alpha level of CombatText",
	offset = true,
		offset_desc = "set CombatText Y-axis offset",
	scale = true,
		scale_desc = "set CombatText scale",
}) end)
--
function combatTextFu:OnInitialize()
	self.defaults = {
		alpha = 1,
		offset = 0,
		scale = 1,
	}
	self.options = {
		type = 'group', args={
			alpha={
				type="range", name=L.alpha, desc=L.alpha_desc,
				min=0, max=1, step=0.05,
				get=function() return(self.db.profile.alpha) end,
				set=function(x) self.db.profile.alpha=x self:UpdateScreen() end
			},
			offset={
				type="range", name=L.offset, desc=L.offset_desc,
				min=-200, max=400, step=10,
				get=function() return(self.db.profile.offset) end,
				set=function(x) self.db.profile.offset=x self:UpdateScreen() end
			},
			scale={
				type="range", name=L.scale, desc=L.scale_desc,
				min=0.5, max=2, step=0.05,
				get=function() return(self.db.profile.scale) end,
				set=function(x) self.db.profile.scale=x self:UpdateScreen() end
			},
		}
	}
	self:RegisterDB("combatTextFuDB")
	self:RegisterDefaults("profile", self.defaults)

	self.OnMenuRequest = self.options
end
--
function combatTextFu:OnEnable()
	self.startY = COMBAT_TEXT_LOCATIONS.startY
	self.endY = COMBAT_TEXT_LOCATIONS.endY
	self:Hook("CombatText_UpdateDisplayedMessages", true)
	self:UpdateScreen()
end
--
function combatTextFu:UpdateScreen()
	local p = self.db.profile
	CombatText:SetScale(p.scale)
	CombatText:SetAlpha(p.alpha)
	COMBAT_TEXT_LOCATIONS.startY = self.startY + p.offset
	COMBAT_TEXT_LOCATIONS.endY = self.endY + p.offset
end
--
function combatTextFu:CombatText_UpdateDisplayedMessages(...)
	self.hooks["CombatText_UpdateDisplayedMessages"](...)
	self.startY = COMBAT_TEXT_LOCATIONS.startY
	self.endY = COMBAT_TEXT_LOCATIONS.endY
	self:UpdateScreen()
end